org.apache.xml.utils

## Class LocaleUtility

- java.lang.Object
- - org.apache.xml.utils.LocaleUtility

    public class LocaleUtility
    extends java.lang.Object

Author:
  Igor Hersht, igorh@ca.ibm.com

### Field Summary

Fields
`static java.lang.String` `EMPTY_STRING`
`static char` `IETF_SEPARATOR` IETF RFC 1766 tag separator

### Constructor Summary

Constructors
Constructor and Description
`LocaleUtility()`

### Method Summary

Methods
`static java.util.Locale` `langToLocale(java.lang.String lang)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### IETF_SEPARATOR

    public static final char IETF_SEPARATOR

IETF RFC 1766 tag separator

See Also:
  Constant Field Values

#### EMPTY_STRING

    public static final java.lang.String EMPTY_STRING

See Also:
  Constant Field Values

### Constructor Detail

#### LocaleUtility

    public LocaleUtility()

### Method Detail

#### langToLocale

    public static java.util.Locale langToLocale(java.lang.String lang)